SQLITE3_COLUMN_COUNT(3) | Library Functions Manual | SQLITE3_COLUMN_COUNT(3)

# NAME

`sqlite3_column_count` — number of columns in a result set

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_column_count`(sqlite3_stmt *pStmt);

# DESCRIPTION

Return the number of columns in the result set returned by the prepared statement. If this routine returns 0, that means the prepared statement returns no data (for example an UPDATE). However, just because this routine returns a positive number does not mean that one or more rows of data will be returned. A SELECT statement will always have a positive sqlite3_column_count() but depending on the WHERE clause constraints and the table content, it might return no rows.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 4776.

    SQLITE_API int sqlite3_column_count(sqlite3_stmt *pStmt);

# SEE ALSO

sqlite3_data_count(3), sqlite3_stmt(3)

January 24, 2024 | NetBSD 11.0